import { Integration } from '@sentry/types';
interface Options {
    /**
     * Number of seconds to wait before ending a session after the app loses focus.
     *
     * Default: 10 seconds
     */
    backgroundTimeoutSeconds?: number;
}
/**
 * Tracks sessions as BrowserWindows focused.
 *
 * Supports Electron >= v12
 */
export declare class BrowserWindowSession implements Integration {
    private readonly _options;
    /** @inheritDoc */
    static id: string;
    /** @inheritDoc */
    readonly name: string;
    private _state;
    constructor(_options?: Options);
    /** @inheritDoc */
    setupOnce(): void;
    private _windowStateChanged;
}
export {};
//# sourceMappingURL=browser-window-session.d.ts.map