import { EventProcessor, Hub, Integration } from '@sentry/types';
type ShouldTraceFn = (method: string, url: string) => boolean;
interface NetOptions {
    /**
     * Whether breadcrumbs should be captured for net requests
     *
     * Defaults to: true
     */
    breadcrumbs?: boolean;
    /**
     * Whether to capture transaction spans for net requests
     *
     * true | false | (method: string, url: string) => boolean
     * Defaults to: true
     */
    tracing?: ShouldTraceFn | boolean;
    /**
     * @deprecated Use `tracePropagationTargets` client option instead.
     *
     * Sentry.init({
     *   tracePropagationTargets: ['api.site.com'],
     * })
     */
    tracingOrigins?: ShouldTraceFn | boolean;
}
/** http module integration */
export declare class Net implements Integration {
    private readonly _options;
    /** @inheritDoc */
    static id: string;
    /** @inheritDoc */
    readonly name: string;
    /** @inheritDoc */
    constructor(_options?: NetOptions);
    /** @inheritDoc */
    setupOnce(_addGlobalEventProcessor: (callback: EventProcessor) => void, getCurrentHub: () => Hub): void;
}
export {};
//# sourceMappingURL=net-breadcrumbs.d.ts.map