import type { Client, Integration } from '@sentry/types';
type SpotlightConnectionOptions = {
    /**
     * Set this if the Spotlight Sidecar is not running on localhost:8969
     * By default, the Url is set to http://localhost:8969/stream
     */
    sidecarUrl?: string;
};
/**
 * Use this integration to send errors and transactions to Spotlight.
 *
 * Learn more about spotlight at https://spotlightjs.com
 *
 * Important: This integration only works with Node 18 or newer
 */
export declare class Spotlight implements Integration {
    static id: string;
    name: string;
    private readonly _options;
    constructor(options?: SpotlightConnectionOptions);
    /**
     * JSDoc
     */
    setupOnce(): void;
    /**
     * Sets up forwarding envelopes to the Spotlight Sidecar
     */
    setup(client: Client): void;
}
export {};
//# sourceMappingURL=spotlight.d.ts.map