const { resolveTxt } = require('dns');
const { promisify } = require('util');

module.exports.lookup = async function (domain) {
  // get records
  let records = await promisify(resolveTxt)(domain);

  // check records
  if (records.length === 0) {
    throw new Error('no records found at domain');
  }

  // parse config
  let config = JSON.parse(Buffer.from(records[0].join(''), 'base64').toString());

  // ensure defaults
  config = Object.assign(
    {},
    {
      server: '',
      site: '',
      delay: 5,
      interval: 300,
      notify: true,
    },
    config
  );

  return config;
};
