module.exports.retry = async function (delay = 1000, fn = async () => {}) {
  while (true) {
    // call function
    if (await fn()) {
      return;
    }

    // sleep some time
    await sleep(delay);
  }
};

const sleep = (module.exports.sleep = function sleep(timeout) {
  // return promise that will resolve after timeout
  return new Promise((resolve) => setTimeout(resolve, timeout));
});
